Subject: bug#42186: closed (Re: bug#42186: emacs swiper package missing since ivy update 0.13.1)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 Jul 2020 10:30:03 +0000

Your bug report

#42186: emacs swiper package missing since ivy update 0.13.1

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42186: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42186
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42186: emacs swiper package missing since ivy update 0.13.1
From: Nicolas Goaziou <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: [email-masked]
Date: Sat, 04 Jul 2020 12:29:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Pierre Langlois <[email-masked]> writes:

> I just noticed the last update to the emacs-ivy package removed
> swiper.el from the package by moving from github to elpa. It seems elpa
> packages ivy and swiper separately
> (https://elpa.gnu.org/packages/swiper.html).
>
> I don't have time to submit a patch to fix it at the moment so I'm just
> filing a bug, but I can get to it next week if needed :-). I think we
> can either go back to using github to fetch the source, or package
> emacs-swiper separately.
>
> WDYT?

I think packages from GNU ELPA are cleaner, and easier to update.
I added emacs-swiper package.

Thank you for the heads up.

Regards,
-- 
Nicolas Goaziou

Subject: emacs swiper package missing since ivy update 0.13.1
From: Pierre Langlois <[email-masked]>
To: Bug guix <[email-masked]>, Nicolas Goaziou <[email-masked]>
Date: Sat, 04 Jul 2020 12:10:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Nicolas, hello Guix!

I just noticed the last update to the emacs-ivy package removed
swiper.el from the package by moving from github to elpa. It seems elpa
packages ivy and swiper separately
(https://elpa.gnu.org/packages/swiper.html).

I don't have time to submit a patch to fix it at the moment so I'm just
filing a bug, but I can get to it next week if needed :-). I think we
can either go back to using github to fetch the source, or package
emacs-swiper separately.

WDYT?

Thanks!
Pierre